# -*- encoding: utf-8 -*-
# stub: sensu-plugins-mysql-boutetnico 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-mysql-boutetnico".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2020-06-09"
  s.description = "This plugin provides native MySQL instrumentation\n                              for monitoring and metrics collection, including:\n                              service health, database connectivity, `InnoDB`\n                              locks, replication status, metrics collection, and\n                              sending metrics to a MySQL database.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-mysql-innodb-lock.rb".freeze, "check-mysql-msr-replication-status.rb".freeze, "check-mysql-select-count.rb".freeze, "metrics-mysql-query-result-count.rb".freeze, "metrics-mysql-graphite.rb".freeze, "check-mysql-status.rb".freeze, "metrics-mysql.rb".freeze, "check-mysql-replication-status.rb".freeze, "metrics-mysql-multiple-select-count.rb".freeze, "metrics-mysql-select-count.rb".freeze, "metrics-mysql-processes.rb".freeze, "check-mysql-connections.rb".freeze, "check-mysql-disk.rb".freeze, "check-mysql-alive.rb".freeze, "check-mysql-query-result-count.rb".freeze, "check-mysql-threads.rb".freeze, "metrics-mysql-raw.rb".freeze]
  s.files = ["CHANGELOG.md".freeze, "LICENSE".freeze, "README.md".freeze, "bin/check-mysql-alive.rb".freeze, "bin/check-mysql-connections.rb".freeze, "bin/check-mysql-disk.rb".freeze, "bin/check-mysql-innodb-lock.rb".freeze, "bin/check-mysql-msr-replication-status.rb".freeze, "bin/check-mysql-query-result-count.rb".freeze, "bin/check-mysql-replication-status.rb".freeze, "bin/check-mysql-select-count.rb".freeze, "bin/check-mysql-status.rb".freeze, "bin/check-mysql-threads.rb".freeze, "bin/metrics-mysql-graphite.rb".freeze, "bin/metrics-mysql-multiple-select-count.rb".freeze, "bin/metrics-mysql-processes.rb".freeze, "bin/metrics-mysql-query-result-count.rb".freeze, "bin/metrics-mysql-raw.rb".freeze, "bin/metrics-mysql-select-count.rb".freeze, "bin/metrics-mysql.rb".freeze, "bin/mysql-metrics.sql".freeze, "lib/sensu-plugins-mysql".freeze, "lib/sensu-plugins-mysql.rb".freeze, "lib/sensu-plugins-mysql/version.rb".freeze]
  s.homepage = "https://github.com/boutetnico/sensu-plugins-mysql".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.0".freeze)
  s.rubygems_version = "2.6.14.1".freeze
  s.summary = "Sensu plugins for MySql".freeze

  s.installed_by_version = "2.6.14.1" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<inifile>.freeze, ["= 3.0.0"])
      s.add_runtime_dependency(%q<ruby-mysql>.freeze, ["~> 2.9"])
      s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
      s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
      s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
      s.add_development_dependency(%q<pry>.freeze, ["~> 0.13"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
      s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.5"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.9"])
      s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.85.0"])
      s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.25"])
    else
      s.add_dependency(%q<inifile>.freeze, ["= 3.0.0"])
      s.add_dependency(%q<ruby-mysql>.freeze, ["~> 2.9"])
      s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
      s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
      s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
      s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
      s.add_dependency(%q<pry>.freeze, ["~> 0.13"])
      s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
      s.add_dependency(%q<redcarpet>.freeze, ["~> 3.5"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.9"])
      s.add_dependency(%q<rubocop>.freeze, ["~> 0.85.0"])
      s.add_dependency(%q<yard>.freeze, ["~> 0.9.25"])
    end
  else
    s.add_dependency(%q<inifile>.freeze, ["= 3.0.0"])
    s.add_dependency(%q<ruby-mysql>.freeze, ["~> 2.9"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.13"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.5"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.9"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.85.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.25"])
  end
end
